<?php
/**
 * Advance Ecommerce store : Block Patterns
 *
 * @package  Advance Ecommerce store 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'advance-ecommerce-store',
		array( 'label' => __( ' Advance Ecommerce store ', 'advance-ecommerce-store' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'advance-ecommerce-store/banner-section',
		array(
			'title'      => __( 'Banner Section', 'advance-ecommerce-store' ),
			'categories' => array( 'advance-ecommerce-store' ),
			'content'    => "<!-- wp:columns {\"backgroundColor\":\"white\",\"className\":\"banner-category-section md-mx-5\"} -->\n<div class=\"wp-block-columns banner-category-section md-mx-5 has-white-background-color has-background\"><!-- wp:column {\"width\":\"25%\",\"className\":\"category-section\"} -->\n<div class=\"wp-block-column category-section\" style=\"flex-basis:25%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"background\":\"#cb4f00\"}},\"textColor\":\"white\",\"className\":\"category mb-0\"} -->\n<p class=\"category mb-0 has-white-color has-text-color has-background\" style=\"background-color:#cb4f00;font-size:15px\">CATEGORIES</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:woocommerce/product-categories {\"className\":\"product-category\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\",\"className\":\"banner-service-section\"} -->\n<div class=\"wp-block-column banner-service-section\" style=\"flex-basis:75%\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":27,\"dimRatio\":30,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":\"0.44\",\"y\":\"0.46\"},\"isDark\":false,\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover is-light banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-27\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" style=\"object-position:44% 46%\" data-object-fit=\"cover\" data-object-position=\"44% 46%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"7.2%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:7.2%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"119.1%\",\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-column banner-section-content\" style=\"flex-basis:119.1%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"textColor\":\"white\",\"className\":\"position-relative\"} -->\n<h1 class=\"position-relative has-white-color has-text-color\" style=\"font-size:25px\">LOREM IPSUM IS SIMPLY</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\",\"className\":\"my-3\"} -->\n<p class=\"my-3 has-white-color has-text-color\" style=\"font-size:16px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"12px\"},\"color\":{\"background\":\"#cb4f00\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"banner-section-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:0px;background-color:#cb4f00\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:columns {\"className\":\"product-service-section\"} -->\n<div class=\"wp-block-columns product-service-section\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#cb4f00\"}},\"className\":\"product-box p-3\"} -->\n<div class=\"wp-block-column product-box p-3 has-background\" style=\"background-color:#cb4f00\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\",\"className\":\"product-head mb-0 \"} -->\n<p class=\"has-text-align-center product-head mb-0 has-white-color has-text-color\" style=\"font-size:16px\">SPECIAL SALE</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:14px\">30 Days Money back Guarantee</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#cb4f00\"}},\"className\":\"product-box p-3\"} -->\n<div class=\"wp-block-column product-box p-3 has-background\" style=\"background-color:#cb4f00\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\",\"className\":\"product-head mb-0 \"} -->\n<p class=\"has-text-align-center product-head mb-0 has-white-color has-text-color\" style=\"font-size:16px\">FREE SHIPPING</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:14px\">30 Days Money back Guarantee</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#cb4f00\"}},\"className\":\"product-box p-3\"} -->\n<div class=\"wp-block-column product-box p-3 has-background\" style=\"background-color:#cb4f00\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"}},\"textColor\":\"white\",\"className\":\"product-head mb-0 \"} -->\n<p class=\"has-text-align-center product-head mb-0 has-white-color has-text-color\" style=\"font-size:16px\">SPECIAL SALE</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:14px\">30 Days Money back Guarantee</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'advance-ecommerce-store/product-section',
		array(
			'title'      => __( 'Product Section', 'advance-ecommerce-store' ),
			'categories' => array( 'advance-ecommerce-store' ),
			'content'    => "<!-- wp:columns {\"className\":\"product-section\"} -->\n<div class=\"wp-block-columns product-section\"><!-- wp:column {\"width\":\"25%\",\"className\":\"best-section mt-md-3\"} -->\n<div class=\"wp-block-column best-section mt-md-3\" style=\"flex-basis:25%\"><!-- wp:heading {\"level\":3,\"style\":{\"color\":{\"background\":\"#cb4f00\"},\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\",\"className\":\"best-seller\"} -->\n<h3 class=\"best-seller has-white-color has-text-color has-background\" style=\"background-color:#cb4f00;font-size:15px\">BEST SELLER</h3>\n<!-- /wp:heading -->\n\n<!-- wp:woocommerce/product-category {\"columns\":1,\"rows\":2,\"categories\":[15],\"contentVisibility\":{\"image\":false,\"title\":true,\"price\":true,\"rating\":true,\"button\":true},\"stockStatus\":[\"\",\"instock\",\"outofstock\",\"onbackorder\"],\"className\":\"best-section\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\",\"className\":\"new-arrivals-section\"} -->\n<div class=\"wp-block-column new-arrivals-section\" style=\"flex-basis:75%\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"35px\"}}} -->\n<h2 style=\"font-size:35px\">NEW ARRIVALS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:woocommerce/product-category {\"rows\":1,\"categories\":[15]} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}